<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<!--
这个文件是自动生成的。
不要修改此文件。所有改动将在下次重新自动生成时丢失。
-->
<mapper namespace="com.ym.mec.biz.dal.dao.MusicGroupPaymentEntitiesDao">
	
	<resultMap type="com.ym.mec.biz.dal.entity.MusicGroupPaymentEntities" id="MusicGroupPaymentEntities">
		<result column="id_" property="id" />
		<result column="music_group_id_" property="musicGroupId" />
		<result column="name_" property="name" />
		<result column="payment_method_" property="paymentMethod" typeHandler="com.ym.mec.common.dal.CustomEnumTypeHandler" />
		<result column="amount_" property="amount" />
		<result column="memo_" property="memo" />
		<result column="create_time_" property="createTime" />
		<result column="update_time_" property="updateTime" />
	</resultMap>
	
	<!-- 根据主键查询一条记录 -->
	<select id="get" resultMap="MusicGroupPaymentEntities" >
		SELECT * FROM music_group_payment_entities WHERE id_ = #{id} 
	</select>
	
	<!-- 全查询 -->
	<select id="findAll" resultMap="MusicGroupPaymentEntities">
		SELECT * FROM music_group_payment_entities ORDER BY id_
	</select>
	
	<!-- 向数据库增加一条记录 -->
	<insert id="insert" parameterType="com.ym.mec.biz.dal.entity.MusicGroupPaymentEntities" useGeneratedKeys="true" keyColumn="id" keyProperty="id">
		INSERT INTO music_group_payment_entities (id_,music_group_id_,name_,payment_method_,amount_,memo_,create_time_,update_time_)
		VALUES(#{id},#{musicGroupId},#{name},#{paymentMethod, typeHandler=com.ym.mec.common.dal.CustomEnumTypeHandler},#{amount},#{memo},now(),now())
	</insert>

	<!-- 根据主键查询一条记录 -->
	<update id="update" parameterType="com.ym.mec.biz.dal.entity.MusicGroupPaymentEntities">
		UPDATE music_group_payment_entities
		<set>
			<if test="updateTime != null">
				update_time_ = #{updateTime},
			</if>
			<if test="amount != null">
				amount_ = #{amount},
			</if>
			<if test="memo != null">
				memo_ = #{memo},
			</if>
			<if test="paymentMethod != null">
				payment_method_ = #{paymentMethod, typeHandler=com.ym.mec.common.dal.CustomEnumTypeHandler},
			</if>
			<if test="musicGroupId != null">
				music_group_id_ = #{musicGroupId},
			</if>
			<if test="name != null">
				name_ = #{name},
			</if>
		</set>
		WHERE id_ = #{id}
	</update>
	
	<!-- 根据主键删除一条记录 -->
	<delete id="delete" >
		DELETE FROM music_group_payment_entities WHERE id_ = #{id} 
	</delete>
	
	<!-- 分页查询 -->
	<select id="queryPage" resultMap="MusicGroupPaymentEntities" parameterType="map">
		SELECT * FROM music_group_payment_entities ORDER BY id_ <include refid="global.limit"/>
	</select>
	
	<!-- 查询当前表的总记录数 -->
	<select id="queryCount" resultType="int">
		SELECT COUNT(*) FROM music_group_payment_entities
	</select>
</mapper>
